Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.properties
Class PropertyValueDescription

    java.lang.Object
      mro.util.properties.PropertyValueDescription

    public class PropertyValueDescription

extends java.lang.Object

Field Summary
`(package private) java.lang.Object` | `value`
`(package private) java.lang.String` | `valueDescription`

Constructor Summary
`PropertyValueDescription(boolean value, java.lang.String valueDescription)`
`PropertyValueDescription(int value, java.lang.String valueDescription)`
`PropertyValueDescription(java.lang.Object value, java.lang.String valueDescription)`

Method Summary
`java.lang.Object` | `getValue()`
`java.lang.String` | `getValueDescription()`
`void` | `printXML(java.io.PrintWriter pw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    java.lang.Object value

### valueDescription

    java.lang.String valueDescription

Constructor Detail

### PropertyValueDescription

    public PropertyValueDescription(java.lang.Object value,
                                    java.lang.String valueDescription)

### PropertyValueDescription

    public PropertyValueDescription(boolean value,
                                    java.lang.String valueDescription)

### PropertyValueDescription

    public PropertyValueDescription(int value,
                                    java.lang.String valueDescription)

Method Detail

### getValue

    public java.lang.Object getValue()

### getValueDescription

    public java.lang.String getValueDescription()

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD